Bug 40394 - Window object should have CanvasGradient and CanvasPattern
Summary: Window object should have CanvasGradient and CanvasPattern
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: HTML5
Depends on:
Blocks:
 
Reported: 2010-06-09 16:54 PDT by Andreas Kling
Modified: 2010-06-12 18:04 PDT (History)
1 user (show)

See Also:


Attachments
Proposed patch (5.46 KB, patch)
2010-06-09 16:57 PDT, Andreas Kling
kenneth: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Same patch rebased (5.46 KB, patch)
2010-06-11 05:11 PDT, Andreas Kling
kenneth: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Proposed patch v3 (16.38 KB, patch)
2010-06-12 10:25 PDT, Andreas Kling
kenneth: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Proposed patch v4 (21.06 KB, patch)
2010-06-12 17:28 PDT, Andreas Kling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Kling 2010-06-09 16:54:22 PDT
This would fix 2 layout tests:
- canvas/philip/tests/2d.gradient.object.return.html
- canvas/philip/tests/2d.pattern.basic.type.html
Comment 1 Andreas Kling 2010-06-09 16:57:01 PDT
Created attachment 58309 [details]
Proposed patch
Comment 2 Kenneth Rohde Christiansen 2010-06-09 17:12:02 PDT
Comment on attachment 58309 [details]
Proposed patch

LGTM, r=me. If it passes all bots you can cq+ it.
Comment 3 WebKit Commit Bot 2010-06-10 01:50:24 PDT
Comment on attachment 58309 [details]
Proposed patch

Rejecting patch 58309 from commit-queue.

andreas.kling@nokia.com does not have committer permissions according to http://trac.webkit.org/browser/trunk/WebKitTools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in WebKitTools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  Due to bug 30084 the commit-queue will require a restart after your change.  Please contact eseidel@chromium.org to request a commit-queue restart.  After restart the commit-queue will correctly respect your committer rights.
Comment 4 WebKit Commit Bot 2010-06-10 09:15:55 PDT
Comment on attachment 58309 [details]
Proposed patch

Rejecting patch 58309 from commit-queue.

Failed to run "[u'/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Kenneth Rohde Christiansen', u'--force']" exit_code: 1
Last 500 characters of output:
xt
patching file LayoutTests/canvas/philip/tests/2d.pattern.basic.type-expected.txt
patching file LayoutTests/platform/mac/Skipped
patching file LayoutTests/platform/qt/Skipped
Hunk #1 FAILED at 5331.
1 out of 1 hunk FAILED -- saving rejects to file LayoutTests/platform/qt/Skipped.rej
patching file WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebCore/html/canvas/CanvasGradient.idl
patching file WebCore/html/canvas/CanvasPattern.idl
patching file WebCore/page/DOMWindow.idl

Full output: http://webkit-commit-queue.appspot.com/results/3225135
Comment 5 Andreas Kling 2010-06-11 05:11:11 PDT
Created attachment 58466 [details]
Same patch rebased
Comment 6 WebKit Commit Bot 2010-06-11 09:47:23 PDT
Comment on attachment 58466 [details]
Same patch rebased

Rejecting patch 58466 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
Last 500 characters of output:
prendertree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Skipped list contained 'compositing/iframes/composited-iframe.html', but no file of that name could be found
Testing 19084 test cases.
fast/dom/dom-constructors.html -> failed

Exiting early after 1 failures. 6300 tests run.
106.00s total testing time

6299 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
1 test case (<1%) had stderr output

Full output: http://webkit-commit-queue.appspot.com/results/3208283
Comment 7 Andreas Kling 2010-06-12 10:25:37 PDT
Created attachment 58560 [details]
Proposed patch v3

Same patch with relevant tests rebaselined.
Comment 8 WebKit Commit Bot 2010-06-12 11:52:17 PDT
Comment on attachment 58560 [details]
Proposed patch v3

Rejecting patch 58560 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
Last 500 characters of output:
tree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Skipped list contained 'compositing/iframes/composited-iframe.html', but no file of that name could be found
Testing 19091 test cases.
fast/dom/prototype-inheritance-2.html -> failed

Exiting early after 1 failures. 6404 tests run.
106.28s total testing time

6403 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
1 test case (<1%) had stderr output

Full output: http://webkit-commit-queue.appspot.com/results/3187360
Comment 9 Andreas Kling 2010-06-12 17:28:46 PDT
Created attachment 58569 [details]
Proposed patch v4

Same patch with 2 additional tests rebaselined.. not having a mac to test on FTL. ;)
Comment 10 WebKit Commit Bot 2010-06-12 18:04:05 PDT
Comment on attachment 58569 [details]
Proposed patch v4

Clearing flags on attachment: 58569

Committed r61071: <http://trac.webkit.org/changeset/61071>
Comment 11 WebKit Commit Bot 2010-06-12 18:04:10 PDT
All reviewed patches have been landed.  Closing bug.